Sub BackFactor3 (Z,E0,Ec,R)

     'Backscattering factor (R-Factor), Myklebust (1984)

     'Input parameters: Z      :  Atomic number
     '                  E0     :  Incident beam energy in keV
     '                  Ec     :  Critical excitation energy in keV
     'Output parameter: R      :  Backscattering factor

     U=E0/Ec
     R=1-0.0081512*Z+3.613e-5*Z^2+0.009582*Z*exp(-U)+0.00114*E0

End Sub