Sub ICS10 (E0,Ec,Q)

'Subroutine:Ionization cross-section for K lines,Fabre de la Ripelle (1976)
'Input parameters:   E0    :     incident beam energy in keV
'                    Ec    :     excitation energy for K lines in keV
'Output parameters:  Q     :     ionization cross section in cm^2

     U=E0/Ec
     k=1.18
     x=1.32
     z=2
     Q=6.51*1e-20*z*log(U)
     Q=Q/(k*(U+x))
     Q=Q/Ec^2

End Sub
