Sub Mac8 (Za,Ze,L$,M)

     'Subroutine:Read Mac's from random access files MAC8KA.,MAC8KBL.,MAC8MLA.,
     '           MAC8LB.,MAC8MA.,MAC8MB.RND
     '           Heinrich (1986)
     'Input parameters:       Za    :    atomic number of absorber
     '                        Ze    :    atomic number of emitter
     '                        L$    :    line code (1a for K alpha,1b for
     '                                   K beta,2a for L alpha,2b for L beta,
     '                                   3a for M alpha and 3b for M beta
     'Output parameters:      M     :    mass absorption coefficient

     L$=ucase$(L$)
     if L$="1A" then
	 open"MAC8KA.RND" for random as #1 len=4
	 field #1,4 as M$
	 Poz=94*(Ze-1)+1+(Za-1)
	 get #1,Poz
	 M=cvs(M$)
	 close #1
     elseif L$="1B" then
	 open"MAC8KB.RND" for random as #2 len=4
	 field #2,4 as M$
	 Poz=94*(Ze-10)+1+(Za-1)
	 get #2,Poz
	 M=cvs(M$)
	 close #2
     elseif L$="2A" then
	 open"MAC8LA.RND" for random as #3 len=4
	 field #3,4 as M$
	 Poz=94*(Ze-20)+1+(Za-1)
	 get #3,Poz
	 M=cvs(M$)
	 close #3
     elseif L$="2B" then
	 open"MAC8LB.RND" for random as #4 len=4
	 field #4,4 as M$
	 Poz=94*(Ze-21)+1+(Za-1)
	 get #4,Poz
	 M=cvs(M$)
	 close #4
     elseif L$="3A" then
	 open"MAC8MA.RND" for random as #5 len=4
	 field #5,4 as M$
	 Poz=94*(Ze-57)+1+(Za-1)
	 get #5,Poz
	 M=cvs(M$)
	 close #5
     elseif L$="3B" then
	 open"MAC8MB.RND" for random as #6 len=4
	 field #6,4 as M$
	 Poz=94*(Ze-57)+1+(Za-1)
	 get #6,Poz
	 M=cvs(M$)
	 close #6
     end if

End Sub