Sub NewCoord (x,y,z,cx,cy,cz,Estep,sp,cp,ga,xn,yn,zn)

     'gets xn,yn,zn from x,y,z and scattering angle
     'the coordinate rotation angles are
     if cz=0 then cz=0.000001     'avoid divison by zero
     anm=(-cx/cz)
     ann=1.0/sqr(1+(anm*anm))
     'save computation time by getting all the transcendentals first
     v1=ann*sp
     v2=anm*ann*sp
     v3=cos(ga)
     v4=sin(ga)
     'find the new direction cosines
     ca=(cx*cp)+(v1*v3)+(cy*v2*v4)
     cb=(cy*cp)+(v4*(cz*v1-cx*v2))
     cc=(cz*cp)+(v2*v3)-(cy*v1*v4)
     'and get the new coordinates
     xn=x+Estep*ca
     yn=y+Estep*cb
     zn=z+Estep*cc

End Sub
