Sub Phi01 (E0,Ec,Eta,phi0)

     'Subroutine:Reuter phi(0) expression,(1972)
     'Input parameters:  E0   :   incident beam energy in keV
     '                   Ec   :   excitation potential in keV
     '                   Eta  :   bakscattering coefficient
     'Output parameter:  phi0 :   surface ionization function

     U0=E0/Ec
     phi0=1+2.8*Eta*(1-0.9/U0)

End Sub
