Sub Range10 (E0,Ec,Z,A,rho,Range)

'X-ray range,Whelan's expression,(citation by Armstrong,1978)
'Input parameters:  E0    =  energy of electron beam in keV
'                   Ec    =  excitation potential in keV
'                   Z     =  average atomic number
'                   A     =  average atomic mass
'                   rho   =  density in g/cm^3
'Output parameter:  Range =  electron range in microns

     Range=0.033*(A/Z)*(E0^1.69-Ec^1.69)
     Range=Range/rho

End Sub
