Sub Range5 (E0,Ec,rho,Range)

'Depth of X-ray production,Anderson and Hasler (1966)
'Input parameters: E0    = energy of electron beam in keV
'                  Ec    = critical excitation energy in keV
'                  rho   = density in g/cm^3
'Output parameter: Range = depth of X-ray production in microns

     Range=0.064*(E0^1.68-Ec^1.68)
     Range=Range/rho

End Sub