Sub Range8 (E0,Z,rho,Range)

'Electron range,Archard and Mulvey (1963)
'Input parameters:  E0 = energy of elctron beam in keV
'                   Z  = atomic number
'                   rho = density in g/cm^3
'Output parameter:  Range = elctron range in microns

     Range=0.0144*E0^2
     Range=Range/(2*(0.174*E0/Z))
     Range=Range/rho

End Sub