Sub Ruther1 (AtNum,IncEnergy,b)

    'Computes the Rutherford scattering factor for this incident energy
    'using the Love-Scott model and Hunger-Kuchler BS data
    hkm=(0.1382-0.9211/sqr(AtNum))
    dum=log(AtNum)
    hkc=0.1904-0.2236*dum+0.1292*dum*dum-0.01491*dum*dum*dum
    hkbs=hkc*IncEnergy^hkm
    'hence from Love-Scott model the scattering factor is
    b=0.016697+0.55108*hkbs-0.96777*hkbs*hkbs+1.8864*hkbs*hkbs*hkbs

End Sub
