Sub StopPwr6 (AtNum,AtWht,energy,MnIonPot,StPwr)

       'calculates the stopping power using the modified Bethe expression
       'in units of keV/gm/cm2
	if energy<0.05 then     'to avoid problems as energy -> zero
	      energy=0.05
	end if
	temp=log(1.166*(energy+0.85*MnIonPot)/MnIonPot)
	StPwr=temp*78500*AtNum/(AtWht*energy)

End Sub
