Sub Alpha6 (Ze,Zo,alpha)

     'Subroutine:Read alpha correction factors form random access file
     '           for 15 keV and take-off angle 40.0 degrees
     'Input parameters:       Ze    :    atomic number of emitting line
     '                        Zo    :    oxide atomic number
     'Output parameters:      alpha :    alpha correction factor

     'Conversion table for I index
     if Zo=8 then
	  I=1
     elseif Zo=6 then
	  I=2
     elseif Zo=9 then
	  I=3
     elseif Zo=11 then
	  I=4
     elseif Zo=12 then
	  I=5
     elseif Zo=13 then
	  I=6
     elseif Zo=14 then
	  I=7
     elseif Zo=15 then
	  I=8
     elseif Zo=16 then
	  I=9
     elseif Zo=17 then
	  I=10
     elseif Zo=19 then
	  I=11
     elseif Zo=20 then
	  I=12
     elseif Zo=22 then
	  I=13
     elseif Zo=23 then
	  I=14
     elseif Zo=24 then
	  I=15
     elseif Zo=25 then
	  I=16
     elseif Zo=26 then
	  I=17
     elseif Zo=28 then
	  I=18
     elseif Zo=30 then
	  I=19
     elseif Zo=38 then
	  I=20
     elseif Zo=40 then
	  I=21
     elseif Zo=56 then
	  I=22
     elseif Zo=72 then
	  I=23
     elseif Zo=90 then
	  I=24
     end if
     'Conversion table for J index
     if Ze=8 then
	  J=1
     elseif Ze=6 then
	  J=2
     elseif Ze=9 then
	  J=3
     elseif Ze=11 then
	  J=4
     elseif Ze=12 then
	  J=5
     elseif Ze=13 then
	  J=6
     elseif Ze=14 then
	  J=7
     elseif Ze=15 then
	  J=8
     elseif Ze=16 then
	  J=9
     elseif Ze=17 then
	  J=10
     elseif Ze=19 then
	  J=11
     elseif Ze=20 then
	  J=12
     elseif Ze=22 then
	  J=13
     elseif Ze=23 then
	  J=14
     elseif Ze=24 then
	  J=15
     elseif Ze=25 then
	  J=16
     elseif Ze=26 then
	  J=17
     elseif Ze=28 then
	  J=18
     elseif Ze=30 then
	  J=19
     elseif Ze=38 then
	  J=20
     elseif Ze=40 then
	  J=21
     elseif Ze=56 then
	  J=22
     elseif Ze=72 then
	  J=23
     elseif Ze=90 then
	  J=24
     end if

     open "ALPHA6.RND" for random as #1 len=4
     field #1,4 as A$
     Poz=24*(J-1)+I
     get #1,Poz
     alpha=cvs(A$)
     close #1

End Sub