Sub Beam (Form$,BeamDia,xb,yb,zb)

     'This subroutine calculate coordinate of the
     'beam impact point on the sample surface
     pi=3.1415927
     if Form$="P" then
	 'Point source of electron beam
	  xb=0
	  yb=0
	  zb=0
     elseif Form$="G" then
	 'Fine focused electron beam with Gaussion distribution
	 'of electrons.
	 'Beam diameter is diamter with 80% of electrons.
	 11 Sigma=BeamDia/2.56
	 Call Gauss (XG)
	 Ang=rnd*2*pi
	 RGaus=xG*Sigma
	 xb=cos(Ang)*RGaus
	 yb=sin(Ang)*RGaus
	 if (xb^2+yb^2)>Sigma^2 then
	     goto 11
	 else
	     exit if
	 end if
	 zb=0
     elseif Form$="U" then
	 'Defocused electron beam with uniform distribution
	 'of electrons.
	 21 BeamDia=BeamDia/2
	 Ang=rnd*2*pi
	 R=rnd*BeamDia
	 xb=cos(Ang)*R
	 yb=sin(Ang)*R
	 if (xb^2+yb^2)>BeamDia^2 then
	     goto 21
	 else
	     exit if
	 end if
	 zb=0
     end if

End Sub
