Sub BackScatCoef17 (Z,A,eta)

'Backscattering coefficient,Thmummel (1974)
'Input parameters:  Z    = atomic number
'                   A    = atomic weight
'Output parameter:  eta  = backscattering coefficient

     a=0.024*Z^2/A
     k=-0.2137+0.05108*Z-7.499e-4*Z^2+5.807e-6*Z^3-1.800e-8*Z^4
     a1=a+k-1+0.5^(a+k)
     a2=(a+k)*(a+k+1)
     a3=a+k-2+0.5^(a+k-1)
     a4=(a+k)*(a+k-1)
     eta=a*(a1/a2)+k*(a3/a4)

End Sub
