Sub BackScatCoef5 (Z,alpha,eta)

'Backscattering coefficient,Arnal et.al. (1969)
'Input parameter:   Z     = atomic number
'                   alpha = incidence angle in deg.
'Output parameters: eta   = backscattering coefficient

     alpha = alpha * 0.017453
     p = 9 / (Z^(1/2))
     eta = 1 / ((1 + cos(alpha))^p)

End Sub