Sub CosterKronig2 (AtNum,Lines,gck)

     'Coster-Kronig transition factor for K, L and M lines
     'Pouchou (1993), data for L alpha are from Bombynek (1972)
     'Input parameters:    AtNum   :   Atomic number
     '                     Lines   :   Line code (1 for K alpha, 2 for
     '                                 L alpha and 3 for M alpha)
     'Output parameter:    gck     :   Coster-Kronig factor

     if Lines=1 then
	     gck=1
     elseif Lines=2 then
	     open"ck2.rnd" for random as #1 len=4
	     field #1,4 as D$
	     Poz1=94+AtNum
	     get #1,Poz1
	     D=cvs(D$)
	     gck=D
	     close #1
     elseif Lines=3 then
	     open"ck2.rnd" for random as #1 len=4
	     field #1,4 as D$
	     Poz2=188+AtNum
	     get #1,Poz2
	     D=cvs(D$)
	     gck=D
	     close #1
     end if

End Sub