Sub FluorYield3 (AtNum,Lines,Omega)

     'Fluorescence yield, Heinrich-Yakowitz (1973)
     'Input parameters: AtNum     :  Atomic number
     '                  Lines     :  Line code (1 for K alpha lines and
     '                               2 for L alpha lines)
     'Output parameter: Omega     :  Fluorescence yield

     if Lines=1 then
	a=2.373
	b=-8.902
     elseif Lines=2 then
	a=2.946
	b=-13.94
     end if
     Omega=exp(a*log(AtNum)+b)

End Sub
