Sub FluorYield6 (AtNum,Lines,Omega)

     'Fluorescence yield, Bambynek (K alpha lines) & Colby (L alpha lines)
     'and M lines (see program CITZAF)
     'Input parameters:   AtNum  :    Atomic number
     '                    Lines  :    Line code (1 for K alpha lines ,2 for
     '                                L alpha lines and 3 for M alpha lines)
     'Output parameter:   Omega  :    Fluorescence yield

     if Lines=1 then
	   Omega=0.015+0.0327*AtNum-6.4E-07*AtNum^3
	   Omega= Omega^4
	   Omega=Omega/(1+Omega)
     elseif Lines=2 then
	   if Z< 20 then
	      Omega=0
	   else
	      Omega=-0.11107+0.01368*AtNum-2.1772E-07*AtNum^3
	      Omega= Omega^4
	      Omega= Omega/(1+Omega)
	   end if
     elseif Lines=3 then
	   Omega=0.00237*AtNum-0.163
     end if

End Sub