Sub MDL2 (P,B,C,t,Cmin)

'Minimum detection limit (MDL),Russ (1973)
'Input parameter:  P    = net peak counts per second
'                  B    = background counts per second
'                  C    = concentration of the elements in the standard in wt.%
'                  t    = analysis time in seconds
'Output parameter: Cmin = minimum detectability limits in wt.%

   Cmin=(C*2*(B)^0.5)/P
   Cmin=Cmin/t^0.5

End Sub