Sub Phi02 (E0,Ec,Eta,phi0)

     'Subroutine:Tirira and Riveros phi(0) expression,(1987)
     'Input parameters:    E0    :    incident beam energy in keV
     '                     Ec    :    excitation potential in keV
     '                     Eta   :    backscattering coefficient
     'Output parameter:    phi0  :    surface ionization function

     U0=E0/Ec
     phi0= 1+Eta*U*log(U0)/(U0-1)

End Sub
